Subject: bug#64131: make resolving symlinks in compilation-find-file optional

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 Jan 2024 15:29:42 +0200

> Cc: [email-masked]
> From: Stefan Kangas <[email-masked]>
> Date: Wed, 10 Jan 2024 02:39:33 -0800
> 
> Qiang <[email-masked]> writes:
> 
> > Without that tiny modification, I have problem jump to the file in my
> > git-annex folder, it jump to the actual database folder, what I want
> > to the folder that have the symlink. I think it should be the default.
> >
> > People use symlinks to organize text documents, a file may have links
> > in different dirs. For example, if we use dirs as catalogues, when a
> > file is opened following the search result in a "rg" buffer, it would
> > be convenient to jump to the catalogue by just M-x "dired". However,
> > the current behavior is to jump to the dir that has the symlink
> > destination file. For people using git-annex, the symlink destination
> > dir could be a database dir, and it is not supposed to be accessed
> > directly.
> 
> Could you provide a recipe for how to test this, for someone that
> doesn't use git-annex but would be happy to install it?
> 
> Or even better, could you produce a recipe that doesn't rely on
> git-annex?

It is possible that this issue was resolved while solving bug#67930,
so I suggest that the OP tries the current master branch to see if the
problem still exists.